Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm.cmd
Class CancelProcessInstanceFacade

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.cmd.MessageFacade
          org.jboss.soa.esb.services.jbpm.cmd.CancelProcessInstanceFacade

    public class CancelProcessInstanceFacade

extends MessageFacade

Implementation of a message preprocessor to obtain data from a process instance from the action configuration XML

Author:
  schifest@heuristica.com.ar

Constructor Summary
`CancelProcessInstanceFacade(ConfigTree config)`

Method Summary
`Constants.OpCode` | `getOpCode()` Obtain the operation code that this preprocessor will force into the command message
`void` | `setJBPMContextParameters(Message message)` Some message values are fixed at action configuration time (from the jboss-esb.xml).

Methods inherited from class org.jboss.soa.esb.services.jbpm.cmd.MessageFacade
`getFacade`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CancelProcessInstanceFacade

    public CancelProcessInstanceFacade(ConfigTree config)
                                throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### getOpCode

    public Constants.OpCode getOpCode()

  Description copied from class: `MessageFacade`
  Obtain the operation code that this preprocessor will force into the command message

  Specified by:
    `getOpCode` in class `MessageFacade`
  Returns:
    Constants.OpCode

### setJBPMContextParameters

    public void setJBPMContextParameters(Message message)

  Description copied from class: `MessageFacade`
  Some message values are fixed at action configuration time (from the jboss-esb.xml).
  This method is responsible of stuffing these static values into every Message before passing it to the generic CommandInterpreter process(Message) method
  Some of the Message content will thus come from configuration XML, and some will be the users' responsibility (e.g. processId, tokenId, etc)
  Variable name mapping between esb and jBPM is also handled by this interface

  Specified by:
    `setJBPMContextParameters` in class `MessageFacade`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD